' This script requires the Web Scrape utility from www.webscrape.com .
' Download it from there and put it into your Windows' System folder.
' I run Windows XP, so I put the pscrape.exe file in the C:\WINDOWS\system32 folder.

' Create the objects we need
Set shell = CreateObject("WScript.Shell")
Set fso = CreateObject("Scripting.FileSystemObject")

' Generate Temp Filename which PageScrape will output to
fileIBM = fso.GetTempName
fileGoogle = fso.GetTempName
fileMicrosoft = fso.GetTempName

' Build command, in a VBS string literal, " must be escaped as ""
' The -o option tells PageScrape to write the matched text to a file
runIBM = "pscrape.exe -u""http://finance.yahoo.com/q/ecn?s=IBM"" -e""Last Trade:.*b>(.*)</b"" -o""" & fileIBM & """"
runGoogle = "pscrape.exe -u""http://finance.yahoo.com/q/ecn?s=GOOG"" -e""Last Trade:.*b>(.*)</b"" -o""" & fileGoogle & """"
runMicrosoft = "pscrape.exe -u""http://finance.yahoo.com/q/ecn?s=MSFT"" -e""Last Trade:.*b>(.*)</b"" -o""" & fileMicrosoft & """"

' Run PageScrape synchronously in a hidden window
' The 0 specifies that the Window should be hidden
' The 1 specifies that we should wait for the command to complete
' before continuing
rc=shell.Run(runIBM, 0, true)
rc=shell.Run(runGoogle, 0, true)
rc=shell.Run(runMicrosoft, 0, true)

' Open the Temp File and read its contents
resultIBM = fso.OpenTextFile(fileIBM, 1).ReadAll
resultGoogle = fso.OpenTextFile(fileGoogle, 1).ReadAll
resultMicrosoft = fso.OpenTextFile(fileMicrosoft, 1).ReadAll

' Delete the Temp file
fso.DeleteFile fileIBM
fso.DeleteFile fileGoogle
fso.DeleteFile fileMicrosoft

' Get old stock prices
oldIBM = GetPropertyValue("StockGetter.StockIBM")
oldGoogle = GetPropertyValue("StockGetter.StockGoogle")
oldMicrosoft = GetPropertyValue("StockGetter.StockMicrosoft")

' Check for changes
If resultIBM > oldIBM Then
  SetPropertyValue "LightIBM.Status", "Up"
ElseIf resultIBM < oldIBM Then
  SetPropertyValue "LightIBM.Status", "Down"
Else
  SetPropertyValue "LightIBM.Status", "Same"
End If
If resultGoogle > oldGoogle Then
  SetPropertyValue "LightGoogle.Status", "Up"
ElseIf resultGoogle < oldGoogle Then
  SetPropertyValue "LightGoogle.Status", "Down"
Else
  SetPropertyValue "LightGoogle.Status", "Same"
End If
If resultMicrosoft > oldMicrosoft Then
  SetPropertyValue "LightMicrosoft.Status", "Up"
ElseIf resultMicrosoft < oldMicrosoft Then
  SetPropertyValue "LightMicrosoft.Status", "Down"
Else
  SetPropertyValue "LightMicrosoft.Status", "Same"
End If

' Update HouseBot properties with the Stock Quote info.
SetPropertyValue "StockGetter.StockIBM", resultIBM
SetPropertyValue "StockGetter.StockGoogle", resultGoogle
SetPropertyValue "StockGetter.StockMicrosoft", resultMicrosoft


